Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
totem dvd play problem[solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
concord
Apprentice
Apprentice


Joined: 02 Oct 2005
Posts: 191

PostPosted: Sun Apr 15, 2007 8:20 am    Post subject: totem dvd play problem[solved] Reply with quote

Totem cannot play this type of media (DVD) because you do not have the appropriate plugins to handle it.

what does it mean? what shall I do?
_________________
AMD64 Desktop
Pentium4 Laptop
Pentium3 Server


Last edited by concord on Sun Apr 15, 2007 9:50 am; edited 1 time in total
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 32088
Location: 56N 3W

PostPosted: Sun Apr 15, 2007 9:16 am    Post subject: Reply with quote

concord,

Totem uses xine-lib for DVD playback. It probably means that xine-lib has been build with some USE flags missing.
Compare yours to mine
Code:
emerge -pv xine-lib

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] media-libs/xine-lib-1.1.4-r2  USE="X a52 alsa dts dvd esd fbcon flac gnome gtk ipv6 libcaca mad mmap mng nls opengl oss sdl theora truetype v4l vcd vidix vorbis win32codecs xinerama xv xvmc -aac -aalib (-altivec) -arts -debug -directfb -dxr3 -imagemagick -modplug -musepack -pulseaudio -samba -speex -wavpack -xcb" 0 kB


Fix your USE flags in /etc/make.conf and run
Code:
emerge world -uDNav
to update your system. The N option is --newuse which rebuilds packages with changed USE flags. You may as well do an emerge --sync first too, so you are fully up to date.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
dzho002
n00b
n00b


Joined: 23 Mar 2004
Posts: 43

PostPosted: Wed Apr 18, 2007 8:34 am    Post subject: Reply with quote

NeddySeagoon wrote:
concord,

Totem uses xine-lib for DVD playback.
.


But it seems that totem does not have xine in its use flags now, and it always chooses GStreamer as the backend.
(And Totem's "About" dialog confirms that.)
Anybody know how I can switch it back to using xine-lib? Thanks.

Code:

emerge totem -pv

media-video/totem-2.18.0  USE="a52 dvd ffmpeg firefox gnome hal mad mpeg ogg vorbis xv -debug -flac -lirc -nsplugin -nvtv -theora -xulrunner" 0 kB

cat /usr/portage/media-video/totem/totem-2.18.0.ebuild
....
 G2CONF="${G2CONF} --disable-vanity --enable-gstreamer --with-dbus"
....
 

_________________
why not?
Back to top
View user's profile Send private message
concord
Apprentice
Apprentice


Joined: 02 Oct 2005
Posts: 191

PostPosted: Wed Apr 18, 2007 9:24 am    Post subject: Reply with quote

just put 'xine' into USE="" statement.
_________________
AMD64 Desktop
Pentium4 Laptop
Pentium3 Server
Back to top
View user's profile Send private message
dzho002
n00b
n00b


Joined: 23 Mar 2004
Posts: 43

PostPosted: Wed Apr 18, 2007 10:12 am    Post subject: Reply with quote

That does not work.
The "xine" use flag and the code for switching backend exist in <= totem.2.6.16.5.ebuild, but they have been silently dropped from totem-2.18.ebuild and the latest totem-2.18.1.ebuild.

Never mind. Probably that is why it has been masked. :roll:
_________________
why not?
Back to top
View user's profile Send private message
jonnevers
Veteran
Veteran


Joined: 02 Jan 2003
Posts: 1593
Location: Gentoo64 land

PostPosted: Wed Apr 18, 2007 3:24 pm    Post subject: Reply with quote

dzho002 wrote:
That does not work.
The "xine" use flag and the code for switching backend exist in <= totem.2.6.16.5.ebuild, but they have been silently dropped from totem-2.18.ebuild and the latest totem-2.18.1.ebuild.

Never mind. Probably that is why it has been masked. :roll:

well... what?

totem 2.18.x is masked because gnome 2.18 in it's entirety is masked until the herd maintainers are ready to release the DE to ~ARCH.

but yes, totem 2.18+ no longer have the has for using xine as the backend. gstreamer is mandatory and will *play* dvds. gstreamer does not support dvd menus.

my opinion is totem with gstreamer is a pile of worthless crap. it's not even able to actually repeat media with the option to repeat playback when it gets to the end.

so what you do is:
emerge -pv =totem-2.16.4

or if you've gone up to gnome 2.18 already (like I have) leave totem masked and let it stay down at 2.16.4.
Code:
USE="xine -gstreamer" emerge -pv =totem-2.16.4
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 32088
Location: 56N 3W

PostPosted: Wed Apr 18, 2007 8:16 pm    Post subject: Reply with quote

jonnevers,

I'm not sure if you were intending the command
Code:
 USE="xine -gstreamer" emerge -pv =totem-2.16.4
to be run but thats a very bad idea. Portage will have no knowledge of the command line USE or the specific version of totem you wanted to your next emerge world will get you in a mess.

Make friends with the files in /etc/portage to have per package USE settings and fine version control. That way, you have the controls and portage won't spring any nasty surprises on you.

Read
Code:
man portage

_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
jonnevers
Veteran
Veteran


Joined: 02 Jan 2003
Posts: 1593
Location: Gentoo64 land

PostPosted: Wed Apr 18, 2007 9:17 pm    Post subject: Reply with quote

NeddySeagoon wrote:
jonnevers,

I'm not sure if you were intending the command
Code:
 USE="xine -gstreamer" emerge -pv =totem-2.16.4
to be run but thats a very bad idea. Portage will have no knowledge of the command line USE or the specific version of totem you wanted to your next emerge world will get you in a mess.

yeah... in my effect to be brief I just did the USE flags inline. I expect everyone to maintain their own package.use/keywords file themselves.

and in this case, if you are at gnome 2.18 and want to keep totem 2.16.4 , emerge'ing world is always going to be a mess unless you maintain your own gnome-2.10.x.ebuild in your local overlay where you remove the dependency on totem... I was just going for brevity.
Back to top
View user's profile Send private message
mastor
n00b
n00b


Joined: 10 May 2006
Posts: 7

PostPosted: Mon Apr 23, 2007 1:25 pm    Post subject: Reply with quote

I've got totem 2.18.1...

Every time I insert a DVD and totem autostarts, it says "cannot play this type of media (DVD) because you do not have the appropriate plugins to handle it".

Ok, but ... a question... WHY does it work if i select Open Location "dvd://"?!?!? 8O
Back to top
View user's profile Send private message
star.dancer
Tux's lil' helper
Tux's lil' helper


Joined: 18 Sep 2004
Posts: 93

PostPosted: Sat Apr 28, 2007 3:06 pm    Post subject: Reply with quote

mastor wrote:

Ok, but ... a question... WHY does it work if i select Open Location "dvd://"?!?!? 8O


Wow you're right! That is totally weird. I get the same thing but it only plays the FBI warning track, not too exciting at a party.

I can't believe they would release gnome 2.18 without dvd support... is this a gentoo problem or a gnome problem?

Edit: It's a gentoo problem. I filed a bug report: http://bugs.gentoo.org/show_bug.cgi?id=176368 My solution was to unmerge totem, download the sources, and compile them myself with the --enable-xine flag.
Back to top
View user's profile Send private message
jonnevers
Veteran
Veteran


Joined: 02 Jan 2003
Posts: 1593
Location: Gentoo64 land

PostPosted: Sat Apr 28, 2007 7:25 pm    Post subject: Reply with quote

star.dancer wrote:
I can't believe they would release gnome 2.18 without dvd support... is this a gentoo problem or a gnome problem?

Edit: It's a gentoo problem. I filed a bug report: http://bugs.gentoo.org/show_bug.cgi?id=176368 My solution was to unmerge totem, download the sources, and compile them myself with the --enable-xine flag.

I've written totem 2.18 off for good. gstreamer.... is just not ready in terms of 'video' support. audio seems okay though.

so I'm maintaining my own gnome-2.18.0.ebuild in /usr/local/portage that just changes the >=totem.2.18.0 to >=totem-2.16.0

this lets me keep my xine backend for totem... DVD menus and perfect playback, WMV support. and gstreamer is completely incapable of playing videos in "repeat" mode regardless of the setting.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum